GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
gdcm::network::ULBasicCallback Class Reference

`#include <gdcmULBasicCallback.h>`

Inheritance diagram for gdcm::network::ULBasicCallback:
[legend]
Collaboration diagram for gdcm::network::ULBasicCallback:
[legend]

List of all members.

## Public Member Functions

| ULBasicCallback ()
virtual | ~ULBasicCallback ()
std::vector< DataSet > const & | GetDataSets () const
virtual void | HandleDataSet (const DataSet &inDataSet)

## Detailed Description

This is the most basic of callbacks for how the ULConnectionManager handles *incoming datasets. DataSets are just concatenated to the mDataSets vector, *and the result can be pulled out of the vector by later code. *Alternatives to this method include progress updates, saving to disk, etc. *This class is NOT THREAD SAFE. Access the dataset vector after the *entire set of datasets has been returned by the ULConnectionManager.

## Constructor & Destructor Documentation

gdcm::network::ULBasicCallback::ULBasicCallback | ( |  | ) | `[inline]`

virtual gdcm::network::ULBasicCallback::~ULBasicCallback | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

std::vector<DataSet> const& gdcm::network::ULBasicCallback::GetDataSets | ( |  | ) | const

virtual void gdcm::network::ULBasicCallback::HandleDataSet | ( | const DataSet & | inDataSet | ) | `[virtual]`

Implements gdcm::network::ULConnectionCallback.

The documentation for this class was generated from the following file:

- gdcmULBasicCallback.h